﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Interop;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using PositionerControlNode;
using PositionerControlToolbar;

namespace PositionerControlApp
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private NodeUserControl mNode = new NodeUserControl();
        private ToolbarUseControl mToolbar = new ToolbarUseControl();
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btn_Node_Click(object sender, RoutedEventArgs e)
        {
            Window win = new Window();
            win.Content = mNode;
            win.Width = 350;
            win.Height = 350;
            win.Show();
        }

        private void btn_Toolbar_Click(object sender, RoutedEventArgs e)
        {
            Window win_tool = new Window();
            win_tool.Width = 297;
            win_tool.Height = 700;
            win_tool.Content = mToolbar;
            win_tool.Title = "Positioner Toolbar";
            win_tool.WindowStyle = WindowStyle.ToolWindow;
            win_tool.Show();
        }
    }
}
