﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace PositionerControlLibrary
{
    [XmlRoot("PointPlusInformation")]
    public class PointInformation
    {
        [XmlElement("Version")]
        public string Version { get; set; } = "1.0";


        [XmlArray("Points")]
        [XmlArrayItem("Point")]
        public List<PointData> PointDataList { get; set; } = new List<PointData>();
    }



    public class PointData
    {
        [XmlAttribute("Id")]
        public int Index { get; set; } = 0;

        [XmlAttribute("J1")]
        public float J_1 { get; set; } = 0;

        [XmlAttribute("J2")]
        public float J_2 { get; set; } = 0;

        [XmlAttribute("J3")]
        public float J_3 { get; set; } = 0;

        [XmlAttribute("J4")]
        public float J_4 { get; set; } = 0;

        [XmlAttribute("J5")]
        public float J_5 { get; set; } = 0;

        [XmlAttribute("J6")]
        public float J_6 { get; set; } = 0;

        [XmlAttribute("J7")]
        public int J_7 { get; set; } = 0;
    }
}
